<?php

	if(!defined('SMARTY_DIR')) 
	{
		include_once('init.php');
	}


	$sRootPath = dirname(__FILE__);
	require_once($sRootPath . '/idealcheckout/includes/library.php');


	if(isset($_GET['order_id']) && isset($_GET['order_code']))
	{
		$aDatabaseSettings = idealcheckout_getDatabaseSettings();
		$sOrderId = $_GET['order_id'];
		$sOrderCode = $_GET['order_code'];

		$sql = "SELECT * FROM `" . $aDatabaseSettings['table'] . "` WHERE (`order_id` = '" . idealcheckout_escapeSql($sOrderId) . "') AND (`order_code` = '" . idealcheckout_escapeSql($sOrderCode) . "');";
		if($aIdealTransaction = idealcheckout_database_getRecord($sql))
		{
			if(strcmp($aIdealTransaction['transaction_status'], 'SUCCESS') === 0)
			{
				$aParams = idealcheckout_unserialize($aIdealTransaction['order_params']);

				if(strcmp($aParams['user_id'], $_SESSION['UserId']) === 0)
				{
					$sql = "SELECT * FROM `" . $aDatabaseSettings['prefix'] . "transactions` WHERE (`id` = '" . $aParams['id'] . "');";
					if($aOsdateTransaction = idealcheckout_database_getRecord($sql))
					{
						if(strcmp($_SESSION['RoleId'], $aOsdateTransaction['to_membership']) !== 0)
						{
							$_SESSION['RoleId'] = $aOsdateTransaction['to_membership'];
						}
					}

					setIdealcheckoutMessage('De betaling is met succes ontvangen. Uw lidmaatschap is aangepast.');
				}
				else
				{
					$sql = "SELECT * FROM `" . $aDatabaseSettings['prefix'] . "user` WHERE (`id` = '" . $aParams['user_id'] . "');";
					if($aOsdateUser = idealcheckout_database_getRecord($sql))
					{
						setIdealcheckoutMessage('De betaling is met succes ontvangen. Het lidmaatschap voor account "<b>' . htmlspecialchars($aOsdateUser['username']) . '</b>" is aangepast.');
					}
					else
					{
						setIdealcheckoutMessage('De betaling is met succes ontvangen, maar is gekoppeld aan een account dat niet (meer) bestaat. Raadpleeg de webmaster!<br>Uw transactie referetie nummer: <b>' . htmlspecialchars($aIdealTransaction['transaction_id']) . '</b>');
					}
				}
			}
			else
			{
				setIdealcheckoutMessage('De betaling is geannuleerd. Probeer opnieuw te betalen.');
			}
		}
	}

	function setIdealcheckoutMessage($message)
	{
		global $t;

		$t->assign('idealcheckout_message', $message);
		$t->assign('rendered_page', $t->fetch('idealcheckout_message.tpl'));
		$t->display('index.tpl');
	}

?>