<?php


	// Update order status when required
	function idealcheckout_update_order_status($oRecord, $sView)
	{		
		$aDatabaseSettings = idealcheckout_getDatabaseSettings();
		$aParams = idealcheckout_unserialize($oRecord['order_params']);

		$sql = "SELECT `from_membership`, `to_membership` FROM `" . $aDatabaseSettings['prefix'] . "transactions` WHERE `id` = '" . idealcheckout_escapeSql($aParams['id']) . "' LIMIT 1;";
		if($aTransaction = idealcheckout_database_getRecord($sql))
		{
			// Update payment status
			$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "transactions` SET `txn_id` = '" . idealcheckout_escapeSql($oRecord['transaction_id']) . "', `txn_date` = '" . date('Y-m-d') . "', `payment_status` = '" . idealcheckout_escapeSql($oRecord['transaction_status']) . "' WHERE `id` = '" . idealcheckout_escapeSql($aParams['id']) . "' LIMIT 1;";
			idealcheckout_database_query($sql) or idealcheckout_log('ERROR: ' . idealcheckout_database_error() . '<br><br>FILE: ' . __FILE__ . '<br><br>LINE: ' . __LINE__);

			if(strcmp($oRecord['transaction_status'], 'SUCCESS') === 0) // Update membership status
			{
				$sql = "SELECT `level`, `levelend` FROM `" . $aDatabaseSettings['prefix'] . "user` WHERE (`id` = '" . idealcheckout_escapeSql($aParams['user_id']) . "') LIMIT 1;";
				if($aUser = idealcheckout_database_getRecord($sql))
				{
					$sql = "SELECT `name`, `activedays` FROM `" . $aDatabaseSettings['prefix'] . "membership` WHERE (`roleid` = '" . idealcheckout_escapeSql($aTransaction['to_membership']) . "') LIMIT 1;";
					if($aMembership = idealcheckout_database_getRecord($sql))
					{
						$iActiveDays = $aMembership['activedays'];
					}
					else
					{
						$iActiveDays = 365;
					}

					if(($aUser['level'] != $aTransaction['to_membership']) || ($aUser['levelend'] == '') || ($aUser['levelend'] < time()))
					{
						$iLevelend = strtotime('+' . $iActiveDays . ' days');
					}
					else
					{
						$iLevelend = strtotime('+' . $iActiveDays . ' days', $aUser['levelend']);
					}

					$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "user` SET `level` = '" . idealcheckout_escapeSql($aTransaction['to_membership']) . "', `levelend` = '" . idealcheckout_escapeSql($iLevelend) . "' WHERE (`id` = '" . idealcheckout_escapeSql($aParams['user_id']) . "') LIMIT 1";
					idealcheckout_database_query($sql) or idealcheckout_log('ERROR: ' . idealcheckout_database_error() . '<br><br>FILE: ' . __FILE__ . '<br><br>LINE: ' . __LINE__);
				}
			}
		}
	}


?>